Subject: Re: Re :Re: [Ltib] ltib error -linux2.6.20.6 with MPC8360E MDS

From: Stuart Hughes <[email-masked]>
Date: Fri, 21 Nov 2008 14:19:10 +0000

Hi Nanda,

You'll need to get help from the kernel experts with this issue.

Regards, Stuart

On Fri, 2008-11-21 at 14:16 +0000, nanda wrote:
> Hi Stuart,
>    Thanks for the information.   gpp access was resolved. 
>    I was successful in building the linux 2.6.11 using the ltib and
> able to bring up the MPC8360 EMDS.
> But, I still face the problem for linux kernel 2.6.19 and
> 2.6.20.   When I tried using ltib in the bringing up the board. 
>   The MPC 8360 board keeps rebooting after downloading the image Power
> PC Kernel Image(uImage) and Power PC RAMDisk
> Image(rootfs.ext2.gz.uboot)  build by the "ltib" 
>     Please clarrify on the same.
> 
> Thanks in advance.
> 
> Regards,
> Nanda
> 
>  
> 
>  
> On Thu, 20 Nov 2008 18:40:36 0000 Stuart Hughes wrote
> Hi Nanda,
> 
> This is happening because you don't have access to
> http://www.bitshrine.org/gpp for some reason.
> 
> If LTIB needs to download sources to build a package, it will get them
> from bitshrine.org. Can you check that you are able to access this URL
> from the command line with wget.
> 
> Regards, Stuart
> 
> On Thu, 2008-11-20 at 18:30 0000, nanda wrote:
> > Hi All,
> > Iam forwarding the mail which I have posted to powerpc linux list
> > [email-masked]
> > ===================================================
> > 
> > Iam getting the below error during the generation of
> > rootfs.ext2.gz.uboot (Power PC Linux RAM Disk Image) and uImage
> (Power
> > PC Linux Kernel Image) for linux-2.6.20.6 kernel on the power PC MPC
> > 8360E MDS using ltib tool.
> > 
> > "Testing ppp_url connectivity: FAIL, disabling 
> > 
> > Testing gpp_url connectivity: FAIL, disabling 
> > 
> > No network download connection available"
> > 
> > I did the following steps, but Iam unable to generate the
> > rootfs.ext2.gz.uboot 
> > 
> > - In the ltib directory 
> > 
> > ./ltib --configure
> > 
> > In the configure menu, I specified the following, before saving the
> > configs
> > 
> > - Tool chain as (gcc-3.4.3/glibc-2.3.3)
> > 
> > - uboot 1.1.3
> > 
> > - "Kernel (local linux directory build)" which refers to the local
> > directory where linux-2.6.20.6 is placed
> > 
> > - "Kernel config file"specified as mpc8360emds_defconfig, which is
> the
> > file copied
> >
> from /home/nanda/linux2.6.20.6/arch/powerpc/configs/mpc8360emds_defconfig to the ltib/config/platform/mpc8360epb directory) 
> > 
> > - Linux Target Architecture as "powerpc"
> > 
> > After the above process by saving the configuration (it started
> > building kernel and generated uImage) and failed in the below place
> > (Refer also the attached build.txt file)
> > 
> > ================================
> > 
> > Processing: skell 
> > 
> > =================== 
> > 
> > Testing ppp_url connectivity: FAIL, disabling 
> > 
> > Testing gpp_url connectivity: FAIL, disabling 
> > 
> > No network download connection available
> > 
> > Started: Thu Nov 20 14:44:45 2008 
> > 
> > Ended: Thu Nov 20 14:57:32 2008 
> > 
> > Elapsed: 767 seconds 
> > 
> > Build Failed
> > 
> > =====================================
> > 
> > I have attached the below files for boot and build logs with this
> > mail, 
> > 
> > 1) defconfig.dev - default config generated for "./ltib configure"
> > from config/platform/mpc8360epb 
> > 
> > 2) build.txt - Error build during "./ltib configure" output
> > 
> > 3) mpc8360emds_defconfig - Default config file
> > from /home/nanda/linux2.6.20.6/arch/powerpc/configs/ 
> > 
> > The end result was I could only see the uImage generated without
> > rootfs.ext2.gz.uboot. Please clarify on the same 
> > 
> > Thanks in advance,
> > 
> > Regards,
> > 
> > Nanda
> > 
> 
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev
> 
> 
> Rediff Shopping